summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2015-09-23 17:58:43 +0200
committerJustin Lecher <jlec@gentoo.org>2015-09-23 17:58:43 +0200
commita21d3c6cdb3e6862358df8eb14d1019d4d0ae6a1 (patch)
treeb4797df8b18e9d62f41becb429179d95432cc3cf /app-editors
parentUpdate hashes in Manifest (diff)
downloadgentoo-a21d3c6cdb3e6862358df8eb14d1019d4d0ae6a1.tar.gz
gentoo-a21d3c6cdb3e6862358df8eb14d1019d4d0ae6a1.tar.bz2
gentoo-a21d3c6cdb3e6862358df8eb14d1019d4d0ae6a1.zip
app-editors/retext: Version Bump
Package-Manager: portage-2.2.21 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'app-editors')
-rw-r--r--app-editors/retext/Manifest1
-rw-r--r--app-editors/retext/retext-5.1.0.ebuild15
-rw-r--r--app-editors/retext/retext-5.2.0.ebuild53
-rw-r--r--app-editors/retext/retext-9999.ebuild22
4 files changed, 65 insertions, 26 deletions
diff --git a/app-editors/retext/Manifest b/app-editors/retext/Manifest
index ffbd9b05659..eb028eb217d 100644
--- a/app-editors/retext/Manifest
+++ b/app-editors/retext/Manifest
@@ -1,3 +1,4 @@
DIST ReText-4.1.3.tar.gz 129283 SHA256 bb4409982d27ac62cab01b0748fe41d9c6660853668b350f3369e76d155edd6c SHA512 d2b3fa901afa9870f6cecc7ab3126b91f1420ca1b14ddd4f609c2ada7121388840b5be679914694664f3bbf876ee8522aa6b0c82a23f837844f788fa10a46323 WHIRLPOOL 3be71e5d7ec612ae4e4fec17ca544f6d0e7cb7421fcdeb517d3c13156ed07f5e5e7c3e352cf604bfb5f2287964fdc173a1bac0eeab41ee1cda8b265ad0f57686
DIST ReText-5.0.2.tar.gz 140853 SHA256 7ef898abc8aed70502fd4d69ed7e8ab43cc978fcbe6864da5771379c1e315bdd SHA512 b28dd24aa5253106880bd6a5a3a16f96670c3145a2cb46da520407d6705f055ee52aaef9c0a8e27c2900b5fdde6a67c599cb8945f7daa6e3ef4456e1fd7c9b0f WHIRLPOOL 0ee1a7497ca3d6fef8356777d93e369d06de542b20974055ddf66cc8e12d33c7716d3b4b5f0360b40037c90d146fddbff4c3b48c96929efafd8f43e278240c0f
DIST ReText-5.1.0.tar.gz 151833 SHA256 09b12892a0520bb8b0692f5aec7aa88911d07a5048a3402a9e9d4ac57322b5ca SHA512 3dbfe4992195119513c571291c344338dccf55c52d000cc69da63d0e51e5f2d9c5a0a2fba6570e525c96f1f9243a7465391a59b840a1fb7dd4513a0b4909ca5c WHIRLPOOL 76826184a3e8ac3ea3f5c10c31a3630ad8bc37a1bce0d771fc250f1f53acb9dd2f888aa67adf946368a5baebcdab0306100ea0e632dcd36edd81cdcd1a247838
+DIST ReText-5.2.0.tar.gz 156953 SHA256 463b524435d7b068d90304ae719f96a9c8b957323206549ae5a02ffe5fa82b17 SHA512 9a40fb0e39145ee9bc29945af488e74ea8aa5a78b220f28d1c3de5060daf6f3a6864b4e852165847bb4b5905ca4f0684d56b24864baa05f96468f5d4d0172c6b WHIRLPOOL be4b10f7158de253ac1a104e5053d80afcf5ecc6928ba8a009c8bbdac9166a735cb60d56c268c6f1651f3d7c6c4d9daac46caa4696795e68c1dbf870dc759afd
diff --git a/app-editors/retext/retext-5.1.0.ebuild b/app-editors/retext/retext-5.1.0.ebuild
index 930c4da0920..8578f0966c1 100644
--- a/app-editors/retext/retext-5.1.0.ebuild
+++ b/app-editors/retext/retext-5.1.0.ebuild
@@ -13,20 +13,13 @@ inherit distutils-r1 l10n
MY_PN="ReText"
MY_P="${MY_PN}-${PV/_/~}"
-if [[ ${PV} == *9999* ]] ; then
- inherit git-2
- EGIT_REPO_URI="git://git.code.sf.net/p/retext/git"
- KEYWORDS=""
-else
- SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-
-DESCRIPTION="A Qt-based text editor for Markdown and reStructuredText"
-HOMEPAGE="http://sourceforge.net/p/retext/home/ReText/"
+DESCRIPTION="Simple editor for Markdown and reStructuredText"
+HOMEPAGE="https://github.com/retext-project/retext https://github.com/retext-project/retext/wiki"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
+KEYWORDS="~amd64 ~x86"
IUSE="+spell"
RDEPEND="
diff --git a/app-editors/retext/retext-5.2.0.ebuild b/app-editors/retext/retext-5.2.0.ebuild
new file mode 100644
index 00000000000..f147eaa705e
--- /dev/null
+++ b/app-editors/retext/retext-5.2.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python3_{3,4} )
+
+PLOCALES="ca cs cy da de es et eu fr hu it ja pl pt pt_BR ru sk sr sr@latin uk zh_TW"
+
+inherit distutils-r1 l10n
+
+MY_PN="ReText"
+MY_P="${MY_PN}-${PV/_/~}"
+
+DESCRIPTION="Simple editor for Markdown and reStructuredText"
+HOMEPAGE="https://github.com/retext-project/retext https://github.com/retext-project/retext/wiki"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+spell"
+
+RDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/markups[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/PyQt5[gui,network,printsupport,webkit,widgets,${PYTHON_USEDEP}]
+ spell? ( dev-python/pyenchant[${PYTHON_USEDEP}] )
+"
+
+S="${WORKDIR}"/${MY_P}
+
+remove_locale() {
+ find "${ED}" -name "retext_${1}.qm" -delete || die "Failed to remove locale ${1}."
+}
+
+python_test() {
+ esetup.py test
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ newicon {icons/,}${PN}.png
+ newicon {icons/,}${PN}.svg
+
+ l10n_for_each_disabled_locale_do remove_locale
+
+ make_desktop_entry ${PN} "${MY_PN} Editor" ${PN} "Development;Utility;TextEditor"
+}
diff --git a/app-editors/retext/retext-9999.ebuild b/app-editors/retext/retext-9999.ebuild
index 5a8abca2737..487e3a146fb 100644
--- a/app-editors/retext/retext-9999.ebuild
+++ b/app-editors/retext/retext-9999.ebuild
@@ -6,27 +6,21 @@ EAPI=5
PYTHON_COMPAT=( python3_{3,4} )
-PLOCALES="ca cs cy da de es et eu fr it ja pl pt pt_BR ru sk uk vi zh_CN zh_TW"
+PLOCALES="ca cs cy da de es et eu fr hu it ja pl pt pt_BR ru sk sr sr@latin uk zh_TW"
-inherit distutils-r1 l10n
+inherit distutils-r1 git-r3 l10n
MY_PN="ReText"
MY_P="${MY_PN}-${PV/_/~}"
-if [[ ${PV} == *9999* ]] ; then
- inherit git-2
- EGIT_REPO_URI="git://git.code.sf.net/p/retext/git"
- KEYWORDS=""
-else
- SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
- KEYWORDS="~amd64 ~x86"
-fi
-
-DESCRIPTION="A Qt-based text editor for Markdown and reStructuredText"
-HOMEPAGE="http://sourceforge.net/p/retext/home/ReText/"
+DESCRIPTION="Simple editor for Markdown and reStructuredText"
+HOMEPAGE="https://github.com/retext-project/retext https://github.com/retext-project/retext/wiki"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/retext-project/retext.git"
LICENSE="GPL-2"
SLOT="0"
+KEYWORDS=""
IUSE="+spell"
RDEPEND="
@@ -38,8 +32,6 @@ RDEPEND="
spell? ( dev-python/pyenchant[${PYTHON_USEDEP}] )
"
-S="${WORKDIR}"/${MY_P}
-
remove_locale() {
find "${ED}" -name "retext_${1}.qm" -delete || die "Failed to remove locale ${1}."
}